summaryrefslogtreecommitdiff
path: root/testbuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testbuild.sh')
-rw-r--r--testbuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/testbuild.sh b/testbuild.sh
index a17c677..6a9e3e6 100644
--- a/testbuild.sh
+++ b/testbuild.sh
@@ -3,7 +3,7 @@ echo "$1 (Build Only, $2, $3)..."
make clean 1>/dev/null 2>/dev/null
echo -n "building..."
touch testok.txt
-CFLAGS="$2" make -f $3 test tv_gen 1>gcc_1.txt 2>gcc_2.txt || (echo "build $1 failed see gcc_2.txt for more information" && cat gcc_2.txt && rm -f testok.txt && exit 1)
+CFLAGS="$2 $CFLAGS $4" EXTRALIBS="$5" make -f $3 test tv_gen 1>gcc_1.txt 2>gcc_2.txt || (echo "build $1 failed see gcc_2.txt for more information" && cat gcc_2.txt && rm -f testok.txt && exit 1)
if find testok.txt -type f 1>/dev/null 2>/dev/null ; then
echo "successful"
exit 0